TAU_DISABLE_INSTRUME(3)

NAME
TAU_DISABLE_INSTRUMENTATION - Disables instrumentation

SYNOPSIS

C/C++:

TAU_DISABLE_INSTRUMENTATION(void);

Fortran:

TAU_DISABLE_INSTRUMENTATION(void);

DESCRIPTION

TAU_DISABLE_INSTRUMENTATION macro disables all entry/exit instrumentation within all threads of a context. This allows the user to selectively enable and disable instrumentation in parts of his/her code. It is important to re-enable the instrumentation within the same basic block and scope.

EXAMPLE

C/C++ :

int main(int argc, char **argv) {
  foo();
  TAU_DISABLE_INSTRUMENTATION();
  for (int i =0; i < N; i++) {
    bar();  // not recorded
  }
  TAU_DISABLE_INSTRUMENTATION();
  bar(); // recorded
}

Fortran :

call TAU_DISABLE_INSTRUMENTATION()
call TAU_DISABLE_INSTRUMENTATION()

SEE ALSO

TAU_ENABLE_INSTRUMENTATION(3), TAU_ENABLE_GROUP(3), TAU_DISABLE_GROUP(3), TAU_INIT(3), TAU_PROFILE_INIT(3)